%define build_doc       0

Name:		nodejs
Version:	0.8.25
Release:	%mkrel 1
Summary:	Evented Server-Side Javascript
Group:		System/Servers
License:	BSD
URL:		http://nodejs.org
Source0:	http://nodejs.org/dist/v%{version}/node-v%{version}.tar.gz
BuildRequires:	c-ares-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
Provides:	npm = %{version}-%{release}

%description
Node's goal is to provide an easy way to build scalable network programs.

%if %build_doc
%package        doc
Summary:        Node.js API documentation
Group:          Documentation

%description    doc
The API documentation for the Node.js JavaScript runtime.
%endif

%prep
%setup -q -n node-v%{version}
# Make sure nothing gets included from bundled deps (except v8):
# We only delete the source and header files, because
# the remaining build scripts are still used.
find deps/npm -name "*.c" -exec rm -f {} \;
find deps/npm -name "*.h" -exec rm -f {} \;

find deps/zlib -name "*.c" -exec rm -f {} \;
find deps/zlib -name "*.h" -exec rm -f {} \;

find deps/openssl -name "*.c" -exec rm -f {} \;
find deps/openssl -name "*.h" -exec rm -f {} \;

%build
#FIXME: some CFLAGS do not seem to be recognized :/
#FIXME: does not build with --shared-libuv (no package in Mageia)
./configure     --prefix=%{_prefix} \
                --shared-openssl \
                --shared-zlib \
                --openssl-use-sys \
                --without-dtrace
%make

%install
%makeinstall_std
# Remove dtrace file again
rm -rf %{buildroot}/%{_prefix}/lib/dtrace

%if %build_doc
# Install documentation
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/html
cp -pr doc/* %{buildroot}%{_defaultdocdir}/%{name}/html
rm -f %{buildroot}%{_defaultdocdir}/%{name}/html/nodejs.1
cp -p LICENSE %{buildroot}%{_defaultdocdir}/%{name}/
%endif

%files
%doc ChangeLog LICENSE README.md AUTHORS
%{_bindir}/node*
%{_includedir}/node
%{_prefix}/lib/node
%{_bindir}/npm
%{_prefix}/lib/node_modules
%{_mandir}/man1/node.*

%if %build_doc
%files doc
%{_defaultdocdir}/%{name}
%endif


%changelog
* Mon Jun 17 2013 dams <dams> 0.8.25-1.mga2
+ Revision: 444106
- new version 0.8.25
- new version 0.8.23
- now use bundled v8 as requested to avoid using buggy v8 package (mga#8567)
- clean and update BR
- add a 'docs' subpackage (disabled for now)
- make sure we are not using bundled deps (only v8)

  + fwang <fwang>
    - new version 0.4.12

  + misc <misc>
    - new version

  + shikamaru <shikamaru>
    - imported package nodejs


* Sat Mar 26 2011 Rémy Clouard <shikamaru@mandriva.org> 0.4.3-1.mga1
- initial package
